Subject: [BEHAVE] translator generating ICMPv6 messages (draft-ietf-behave-v6v4-xlate-05)

From: "Dan Wing" <[email-masked]>
Date: Tue, 12 Jan 2010 11:44:48 -0800

I notice
http://tools.ietf.org/html/draft-ietf-behave-v6v4-xlate-05#section-2.5 does
not indicate what sort of ICMPv6 message should be generated if a stateless
translator can't perform a mapping.  One specific case is if it receives a
packet from an IPv6 address that isn't mappable.  Section 2.5 only mentions
ICMPv4 (because Type=3/Code=13 is only defined for ICMPv4 in RFC1812).
Reading RFC4443, it seems Type=1,Code=5 ("Source address failed ingress/egress
policy") might be a reasonable code for the specific case where a
non-translatable IPv6 source address arrives on the stateless translator.

I don't know if there might be other cases where the translator wants to send
its own ICMPv6 error?

-d